SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001507SiT!outbound emailpublic2011-05-09 12:042011-06-07 19:24
Reporternicdev 
Assigned Topaulh 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.62 LTS 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001507: Ability to disable the second confirmation popup in Incident email
DescriptionAfter an email is sent we have a second popup that says:
"The email was sent successfully, click OK to close this window", which i really just a confirmation and does not need the user's input.

This relates to http://bugs.sitracker.org/view.php?id=60 [^] but i'm not sure it included this on from incident_email.php.

I can't see how it can be done with a plugin for ->3.63LTS, so i suppose i'll make a temporary patch using "html_redirect()" and remove the JS completely for our installation. I can post the solution should anyone else want to do it.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000060resolvedivan "Are you sure messages", should be optional 

-  Notes
User avatar (0003872)
paulh (administrator)
2011-06-06 20:45

04a681d resolves
User avatar (0003873)
ivan (administrator)
2011-06-06 22:05

the fix works great, but the message is a bit confusing. When confirmations are disabled it still says click OK to close this window, yet there's no OK button to click.
User avatar (0003882)
paulh (administrator)
2011-06-07 19:24

147594f tweaks the wording so it doesn't mention the OK button

- Issue History
Date Modified Username Field Change
2011-05-09 12:04 nicdev New Issue
2011-05-09 12:04 nicdev Relationship added child of 0000060
2011-05-09 12:24 ivan Status new => confirmed
2011-05-09 12:24 ivan Target Version => 3.90beta1
2011-06-03 20:40 paulh Assigned To => paulh
2011-06-03 20:40 paulh Status confirmed => assigned
2011-06-06 20:45 paulh Note Added: 0003872
2011-06-06 20:45 paulh Status assigned => resolved
2011-06-06 20:45 paulh Resolution open => fixed
2011-06-06 20:45 paulh Fixed in Version => Current GIT
2011-06-06 22:05 ivan Note Added: 0003873
2011-06-07 19:24 paulh Note Added: 0003882


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker